This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 787527

Summary: [abrt] kernel: kernel BUG at mm/mmap.c:2378!
Product: [Fedora] Fedora Reporter: PackPunk <packpunk>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, hdegoede, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e812f08bf0750148201e6ede33a7c7cf58a31fb8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-17 00:30:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description PackPunk 2012-02-05 19:20:38 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.2-1.fc16.x86_64 root=/dev/mapper/vg_lenovo-lv_root ro rd.lvm.lv=vg_lenovo/lv_swap rd.md=0 rd.dm=0 KEYTABLE=us rd.lvm.lv=vg_lenovo/lv_root quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.2.2-1.fc16.x86_64
reason:         kernel BUG at mm/mmap.c:2378!
time:           Sen 06 Peb 2012 07:09:16  WIT

backtrace:
:kernel BUG at mm/mmap.c:2378!
:invalid opcode: 0000 [#1] SMP 
:CPU 1 
:Modules linked in: fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack binfmt_misc uvcvideo snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm ideapad_laptop r8169 mii snd_timer videodev arc4 snd serio_raw ath9k(O) mac80211(O) soundcore ath9k_common(O) ath9k_hw(O) snd_page_alloc ath(O) cfg80211(O) sparse_keymap rfkill iTCO_wdt media v4l2_compat_ioctl32 iTCO_vendor_support uinput i2c_i801 joydev microcode ums_realtek usb_storage wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 1059, comm: Xorg Tainted: G           O 3.2.2-1.fc16.x86_64 #1 LENOVO                           S10-3           /Mariana3A                       
:RIP: 0010:[<ffffffff811465ba>]  [<ffffffff811465ba>] exit_mmap+0x13a/0x140
:RSP: 0018:ffff880077c0bbd8  EFLAGS: 00010202
:RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000100170003
:RDX: 0000000100170004 RSI: ffffea0001dd0500 RDI: ffff88007c808a00
:RBP: ffff880077c0bc68 R08: 0000000000000000 R09: 0000000000000000
:R10: 0000000000016b70 R11: 0000000000016b70 R12: ffff880077de0380
:R13: 00007fff9355a000 R14: ffff880077de03e8 R15: 00000000000007d7
:FS:  0000000000000000(0000) GS:ffff88007f300000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 0000000001653000 CR3: 0000000001a05000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process Xorg (pid: 1059, threadinfo ffff880077c0a000, task ffff880074922e40)
:Stack:
: ffff880077de0380 000000018119680c ffff880077c0bbf0 0000000000000000
: 0000000800000000 ffffea0001975280 ffffea0001975a80 ffffea0001975ac0
: ffffea0001976a80 ffffea0001976b00 ffffea0001976c00 ffffea0001976c40
:Call Trace:
: [<ffffffff8106b153>] mmput+0x73/0x110
: [<ffffffff81071c8d>] exit_mm+0x10d/0x130
: [<ffffffff81071e2e>] do_exit+0x17e/0x8a0
: [<ffffffff810728a2>] do_group_exit+0x42/0xa0
: [<ffffffff810826c6>] get_signal_to_deliver+0x206/0x5b0
: [<ffffffff81014165>] do_signal+0x65/0x770
: [<ffffffff815d65fb>] ? is_prefetch.part.2+0xca/0x1ff
: [<ffffffff81081067>] ? send_signal+0x47/0x90
: [<ffffffff810818db>] ? force_sig_info+0xdb/0x100
: [<ffffffff81014918>] do_notify_resume+0x88/0xb0
: [<ffffffff815e1d7c>] retint_signal+0x48/0x8c
:Code: 89 df e8 ca c5 ff ff 48 8b 5b 18 48 85 db 0f 84 25 ff ff ff f6 43 31 20 74 ed eb db 0f 1f 44 00 00 e8 2b 7d 01 00 e9 f1 fe ff ff <0f> 0b 0f 1f 40 00 55 48 89 e5 41 54 53 48 83 ec 20 66 66 66 66 
:RIP  [<ffffffff811465ba>] exit_mmap+0x13a/0x140
: RSP <ffff880077c0bbd8>

smolt_data:
:
:
:General
:=================================
:UUID: 61dc52ff-2c6c-475e-8a79-66499c06685a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3657.56
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N470   @ 1.83GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1833
:System Memory: 1994
:System Swap: 3999
:Vendor: LENOVO
:System: S10-3 Lenovo
:Form factor: Notebook
:Kernel: 3.2.2-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5772:43:6058:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:40977:6058:14600) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:6058:14600) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:6058:14603) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10172:6058:14613) pci, None, PCI/ISA, NM10 Family LPC Controller
:(32902:10200:6058:14602) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:6058:14605) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:6058:14616) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:6058:14612) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4332:33078:6058:14630) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10176:6058:14615) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:6058:14608) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:6058:14607) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:6058:14599) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:6058:14609) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:6058:14610) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:6058:14611) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lenovo-lv_root / ext4 4096 4096 13092026 11472802 11341780 3276800 3093772 3093772
:/dev/sda2 /boot ext4 1024 1024 508745 435646 410046 128016 127786 127786
:/dev/mapper/vg_lenovo-lv_home /home ext4 4096 4096 46272577 27686744 25349123 11698176 11651843 11651843
:
Comment 1 Dave Jones 2012-02-06 10:29:02 EST
This is possibly a dupe of 786632.
I notice that both reports have v4l modules loaded, which could be a likely source of the problem.

Hans, any idea ?
Comment 2 Dave Jones 2012-02-17 00:30:36 EST

*** This bug has been marked as a duplicate of bug 786632 ***